/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * Other information related to the policy.
 */
@ApiModel(description = "Other information related to the policy.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model69 {
  @SerializedName("information_type")
  private String informationType = null;

  @SerializedName("value")
  private String value = null;

  public Model69 informationType(String informationType) {
    this.informationType = informationType;
    return this;
  }

   /**
   * Label of the information.
   * @return informationType
  **/
  @ApiModelProperty(required = true, value = "Label of the information.")
  public String getInformationType() {
    return informationType;
  }

  public void setInformationType(String informationType) {
    this.informationType = informationType;
  }

  public Model69 value(String value) {
    this.value = value;
    return this;
  }

   /**
   * Information content.
   * @return value
  **/
  @ApiModelProperty(required = true, value = "Information content.")
  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model69 model69 = (Model69) o;
    return Objects.equals(this.informationType, model69.informationType) &&
        Objects.equals(this.value, model69.value);
  }

  @Override
  public int hashCode() {
    return Objects.hash(informationType, value);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model69 {\n");
    
    sb.append("    informationType: ").append(toIndentedString(informationType)).append("\n");
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

